Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617492 - ICE: Segmentation fault
ICE: Segmentation fault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
14
s390 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 05:04 EDT by Dan Horák
Modified: 2010-08-11 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 03:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source file (1.30 MB, application/octet-stream)
2010-07-23 05:04 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2010-07-23 05:04:50 EDT
Created attachment 433903 [details]
preprocessed source file

[  3%] Building CXX object src/cxcore/CMakeFiles/cxcore.dir/cxarithm.o
cd /builddir/build/BUILD/OpenCV-2.1.0/src/cxcore && /usr/lib/ccache/c++   -Dcxcore_EXPORTS -DHAVE_CONFIG_H -DCVAPI_EXPORTS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m31 -march=z9-109 -mtune=z10   -Wall -pthread -ffunction-sections  -O3 -DNDEBUG  -DNDEBUG  -fPIC -I/usr/lib/python2.6/site-packages/numpy/core/include -I/builddir/build/BUILD/OpenCV-2.1.0/. -I/builddir/build/BUILD/OpenCV-2.1.0 -I/builddir/build/BUILD/OpenCV-2.1.0/include -I/builddir/build/BUILD/OpenCV-2.1.0/include/opencv -I/builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/../../3rdparty/include -I/builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/../../include/opencv -I/builddir/build/BUILD/OpenCV-2.1.0/src/cxcore   -D PYTHON_USE_NUMPY=1  -include /builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/_cxcore.h -Winvalid-pch  -o CMakeFiles/cxcore.dir/cxarithm.o -c /builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/cxarithm.cpp
In file included from <command-line>:1:0:
/builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/_cxcore.h: In function ‘void cv::binarySOpC1_(const cv::Mat&, cv::Mat&, double) [with Op = cv::CmpEQ<unsigned char, int>]’:
/builddir/build/BUILD/OpenCV-2.1.0/src/cxcore/_cxcore.h:366:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccTEpR8X.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):
gcc version 4.5.0 20100716 (Red Hat 4.5.0-3) (GCC)

Additional info:
Happens only on the 32/31 bit, there is no problem on 64-bit
Comment 1 Bug Zapper 2010-07-30 08:46:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jakub Jelinek 2010-08-11 03:20:53 EDT
Should be fixed in gcc-4.5.0-4.

Note You need to log in before you can comment on or make changes to this bug.